# Atmel ICE and OS X no 2


Eigentlich passt der Titel nicht ganz, denn es betrifft eigentlich alle Plattformen also auch Linux und Windows (sollte man avrdude anstelle von Atmet Studio verwenden).
Wie ich ja [hier](/atmelice-and-os-x-1/) beschrieben habe, war die erste Nutzung des neuen Atmel ICE anfänglich mehr als einfach. Weiterhin ist avrdude in der Release-Version noch nicht soweit, dass alle Programmierschnittstellen funktionieren. Dazu müssen zwei Patches eingepflegt werden.Dazu habe ich die Homebrew Formula angepasst:

``` ruby {{open=true}}
class Avrdude < Formula
  desc "Atmel AVR MCU programmer"
  homepage "https://savannah.nongnu.org/projects/avrdude/"
  url "http://download.savannah.gnu.org/releases/avrdude/avrdude-6.1.tar.gz"
  mirror "http://download-mirror.savannah.gnu.org/releases/avrdude/avrdude-6.1.tar.gz"
  sha256 "9e98baca8e57cad402aaa1c7b61c8de750ed4f6fed577f7e4935db0430783d3b"

  bottle do
    sha1 "2d759fea880b097754defe8016e026390dbcfb31" => :mavericks
    sha1 "83017c7fb34b0a2da5919b6b1dde9c05bf237f2a" => :mountain_lion
    sha1 "438562a4b84b4e868cdf01b81e7543053a89a7ff" => :lion
  end

  head do
    url "svn://svn.savannah.nongnu.org/avrdude/trunk/avrdude/"

    depends_on "autoconf" => :build
    depends_on "automake" => :build
    depends_on "libtool" => :build
  end

  patch :p2 do
    url "http://savannah.nongnu.org/file/stdint-fix.patch?file_id=31187"
    sha256 "709b82cacdf2bcb6b638dd855e57a176705a3c816d6d7b866bae9370b4511843"
  end

  patch :p3 do
    url "http://www.avrfreaks.net/sites/default/files/forum_attachments/avrice_fragment_fix2.patch"
    sha256 "e4cd8db7802c76b61fb953c055bdde066bd7e9f34ac0f7808fd29e909f57ee8a"
  end

  depends_on :macos => :snow_leopard # needs GCD/libdispatch
  depends_on "libusb-compat"
  depends_on "libftdi0"
  depends_on "libelf"
  depends_on "libhid" => :optional

  def install
    if build.head?
      inreplace "bootstrap", /libtoolize/, "glibtoolize"
      system "./bootstrap"
    end
    system "./configure", "--disable-dependency-tracking",
                          "--prefix=#{prefix}"
    system "make"
    system "make", "install"
  end
end
```

Damit funktionierte (bisher) avrdude unter El Capitan ohne weitere Einschränkungen. Ich werde das Ganze natürlich weiter beobachten.
